<template>
  <template-page ref="pageRef" :getList="getList" :operation="operation()" :exportList="exportList"
    :columnParsing="columnParsing" :tableAttributes="tableAttributes" :tableEvents="tableEvents">
  </template-page>
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import import_mixin from '@/components/template/import_mixin.js'
import operation_mixin from '@/components/template/operation_mixin.js'
import {
  increOrderSettleCountWorkerList,
  increOrderSettleCountWorkerListExport
} from '@/api/orderSettleManag'
import { EventBus } from '@/utils/eventBus'
export default {
  components: {
    TemplatePage,
  },
  mixins: [import_mixin, operation_mixin],
  data() {
    return {
      formBool: false,
      // 表格属性
      tableAttributes: {
        // 启用勾选列
        selectColumn: false,
      },
      // 表格事件
      tableEvents: {
        'selection-change': this.selectionChange
      },
      formData: {},
      detailParams: []
    }
  },
  methods: {
    // 列表请求函数
    getList(p) {
      this.detailParams = p.params.filter(item => item.param === "a.pay_time")
      return increOrderSettleCountWorkerList(p)
    },

    // 列表导出函数
    exportList: increOrderSettleCountWorkerListExport,

    // 表格列解析渲染数据更改
    columnParsing(item, defaultData) {
      return defaultData
    },

    // 监听勾选变化
    selectionChange(data) {
      this.recordSelected = data
    },

    operation() {
      return this.operationBtn({
        detail: {
          btnType: 'text',
          click: ({ row, index, column }) => {
            var { workerId } = row
            EventBus.$emit("orderMasterSplitAccount", { workerId, detailParams: this.detailParams, tabTypeCk: "offline" })
          }
        },
      })
    },

  }
}
</script>

<style lang="scss" scoped></style>
